Bug 3698 - [PATCH] Darwin xattr interface
[PATCH] Darwin xattr interface
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Client Tools
3.0.22
All Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-18 10:16 UTC by Björn Jacke
Modified: 2006-10-11 08:22 UTC (History)
1 user (show)

See Also:


Attachments
patch (5.59 KB, patch)
2006-04-18 10:18 UTC, Björn Jacke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2006-04-18 10:16:31 UTC
as sent on samba-tec some weeks ago: Darwin uses a different xattr interfacethan Linux does. This patch checks the interface and uses the right semantic ...
Comment 1 Björn Jacke 2006-04-18 10:18:16 UTC
Created attachment 1863 [details]
patch
Comment 2 Volker Lendecke 2006-04-18 10:27:00 UTC
Björn, you know that I want to see this compile first. :-))

Volker
Comment 3 Björn Jacke 2006-04-18 10:32:29 UTC
Volker, you and anyone else can apply this patch and compile it, what inhibits you from just doing it? :-)
Comment 4 Christian Mahnke 2006-07-23 14:12:17 UTC
I don't know if it's the right Bugzilla entry to report this, but samba (with or without the supplied patch) doesn't compile on:
server31:~/samba-3.0.23a/source root# uname -a
Darwin server31.zim.uni-goettingen.de 8.6.0 Darwin Kernel Version 8.6.0: Tue Mar  7 16:58:48 PST 2006; root:xnu-792.6.70.obj~1/RELEASE_PPC Power Macintosh powerpc

I get this error:
Compiling lib/system.c
lib/system.c: In function 'sys_getxattr':
lib/system.c:1421: error: too few arguments to function 'getxattr'
lib/system.c: In function 'sys_fgetxattr':
lib/system.c:1513: error: too few arguments to function 'fgetxattr'
lib/system.c: In function 'sys_listxattr':
lib/system.c:1719: error: too few arguments to function 'listxattr'
lib/system.c: In function 'sys_flistxattr':
lib/system.c:1763: error: too few arguments to function 'flistxattr'
lib/system.c: In function 'sys_removexattr':
lib/system.c:1786: error: too few arguments to function 'removexattr'
lib/system.c: In function 'sys_fremovexattr':
lib/system.c:1846: error: too few arguments to function 'fremovexattr'
lib/system.c: In function 'sys_setxattr':
lib/system.c:1882: error: too few arguments to function 'setxattr'
lib/system.c: In function 'sys_fsetxattr':
lib/system.c:1987: error: too few arguments to function 'fsetxattr'
make: *** [lib/system.o] Error 1
Comment 5 Björn Jacke 2006-10-05 06:03:13 UTC
might be #4 forgot calling autogen.sh ?

vl/metze - you have access to a darwin machine, can you take a look at this one, please ?
Comment 6 Volker Lendecke 2006-10-05 11:14:23 UTC
I'd say James should solve this, he works at Apple now ;-)

Volker
Comment 7 Stefan Metzmacher 2006-10-11 08:22:35 UTC
fixed in revision 19241